Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.router
Class RouterState

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.router.RouterState

    public class RouterState

extends Object

Represents state information for a router. This information includes the contents of waiting queues, and the contacts served by agents.

Constructor Summary
`protected` | `RouterState(Router router)` Constructs a new state information for a router `router`.

Method Summary
`AgentGroupState[]` | `getAgentGroups()` Returns the state of each agent group saved at the time the state of the router was saved.
`Map<AgentState,ReroutingState>` | `getAgentReroutingInfo()` Returns the agent rerouting information saved at the time the state of the router was saved.
`Map<DequeueEvent,ReroutingState>` | `getContactReroutingInfo()` Returns the contact rerouting information saved at the time the state of the router was saved.
`WaitingQueueState[]` | `getWaitingQueues()` Returns the state of the waiting queues attached to the router at the time the state of the router was saved.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RouterState

    protected RouterState(Router router)

  Constructs a new state information for a router `router`.

  Parameters:
    `router` - the router being processed.

Method Detail

### getAgentGroups

    public AgentGroupState[] getAgentGroups()

  Returns the state of each agent group saved at the time the state of the router was saved.

  Returns:
    the state of agent groups.

### getAgentReroutingInfo

    public Map<AgentState,ReroutingState> getAgentReroutingInfo()

  Returns the agent rerouting information saved at the time the state of the router was saved. Each key of the returned map is of type `Agent` while each value is of type `ReroutingState`.

  Returns:
    the agent rerouting information.

### getContactReroutingInfo

    public Map<DequeueEvent,ReroutingState> getContactReroutingInfo()

  Returns the contact rerouting information saved at the time the state of the router was saved. Each key of the returned map is of class `DequeueEvent` while each value is of class `ReroutingState`.

  Returns:
    the contact rerouting information.

### getWaitingQueues

    public WaitingQueueState[] getWaitingQueues()

  Returns the state of the waiting queues attached to the router at the time the state of the router was saved.

  Returns:
    the state of the waiting queues.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.